Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.filters
Class Gamma

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--com.sun.jimi.core.filters.ImageFilterPlus
                  |
                  +--com.sun.jimi.core.filters.RGBBlockFilter
                        |
                        +--com.sun.jimi.core.filters.Gamma

public class Gamma
extends RGBBlockFilter

Fields inherited from class com.sun.jimi.core.filters.ImageFilterPlus
`rgbModel`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Constructor Summary
`Gamma(java.awt.image.ImageProducer producer, double value)`
`Gamma(java.awt.image.ImageProducer producer, double rValue, double gValue, double bValue)`

Method Summary
`int[][]` | `filterRGBBlock(int x, int y, int width, int height, int[][] rgbPixels)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class com.sun.jimi.core.filters.RGBBlockFilter
`setColorModel, setPixels, setPixels`

Methods inherited from class com.sun.jimi.core.filters.ImageFilterPlus
`filterStream, getSource, imageComplete, setHints, setSource`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, resendTopDownLeftRight, setDimensions, setProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Gamma

    public Gamma(java.awt.image.ImageProducer producer,
                 double value)

### Gamma

    public Gamma(java.awt.image.ImageProducer producer,
                 double rValue,
                 double gValue,
                 double bValue)

Method Detail

### filterRGBBlock

    public int[][] filterRGBBlock(int x,
                                  int y,
                                  int width,
                                  int height,
                                  int[][] rgbPixels)

  Overrides:
    filterRGBBlock in class RGBBlockFilter

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD